export default defineEventHandler(async (event) => {
  const query = getQuery(event)
  const parent = JSON.parse(query.parent)

  try {
    const results = await prisma.postal.findFirst({
      where: {
        id: parseInt(parent._id),
      },
    })
    return results.postal
  } catch (error) {
    // Return error if fetching users fails
    return {
      status: 500,
      body: { message: 'Failed to fetch postal' },
    }
  }
})
